QGIS Application - Bug report #17284
QGIS3: setting in snapping toolbar not highlighted
2017-10-16 12:33 AM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25182
Description

If you select an entry in the new snapping toolbar (fe."active layer"), the selection is not highlighted in gray (as usual in other programs).
That way, it is not possible to see which setting is the current one.

You can only recognize the setting when you activate the "Snapping and Digitizing Options" option. In my opinion, this function is hard to
find under "Project" - you don't suspect it there.

History

#1 - 2017-10-27 02:09 PM - Harrissou Santanna
Tobias Wendorff wrote:
If you select an entry in the new snapping toolbar (fe."active layer"), the selection is not highlighted in gray (as usual in other programs). That way, it

is not possible to see which setting is the current one.
You can only recognize the setting when you activate the "Snapping and Digitizing Options" option.

Maybe | misunderstand but when you do a selection (swith between snap settings), the widget/toolbar auto-updates accordingly and the tools/options

being active are those shown from that moment. Hovering over the icons also shows a tooltip describing the button. What do you miss, there?

In my opinion, this function is hard to find under "Project” - you don't suspect it there.

Maybe you can file another ticket for that but | think the move is because these settings only apply in the current project (see
https://github.com/qgis/QGIS/pull/3617).

#2 - 2018-04-04 09:33 PM - Tobias Wendorff
- Status changed from Open to Closed

Yeah, has been fixed because snapping toolbar got killed :)
